package SOF2Logger::Parser::SOF2::RPM;

use strict;
use warnings;

use base qw/SOF2Logger::Parser::SOF2/;

use constant MONTHS_TO_SECONDS => 2_629_743.83;
use constant DAYS_TO_SECONDS   => 86_400;
use constant HOURS_TO_SECONDS  => 3600;

sub parse_line
{
    my ($self, $line) = @_;

    my ($time, $command, $info);

    if ( $line =~ m| *(\d\d)/(\d\d)/(\d{4}) (\d+):(\d\d)\s?- ([^:]+):\s*(.*)| ) {
      my ($month, $day, $year, $hour, $minute) = ($1, $2, $3, $4, $5);
      $time = (($month -1) * MONTHS_TO_SECONDS) + (($day -1) * DAYS_TO_SECONDS)
        + ($hour * HOURS_TO_SECONDS) + ($minute * 60);
      $command = $6;
      $info    = $7;
    }

    return $time, $command, $info;
}

1;


