#!/usr/bin/perl

use Test::More tests => 4;

BEGIN { use_ok('SOF2Logger::Parser::SOF2::RPM') }

my $parser = SOF2Logger::Parser::SOF2::RPM->new();

isa_ok($parser, 'SOF2Logger::Parser::SOF2', 'isa the base class as well');
# since the only difference between RPM and other mods is the time stamp, we test that
is_deeply([$parser->parse_line('12/19/2005 17:53 - ClientBegin: 2')],
	  [30_546_762.13, 'ClientBegin', '2'],
	  'can parse fully timestampped lines');
is_deeply([$parser->parse_line('12/19/2005 17:54 - Kill: 4 6 10: ^1J.^7W.^&P.^7 killed MISSDEATH^7 by MOD_MSG90A1_SNIPER_RIFLE')],
	  [30_546_822.13, 'Kill', '4 6 10: ^1J.^7W.^&P.^7 killed MISSDEATH^7 by MOD_MSG90A1_SNIPER_RIFLE'],
	  'can parse sample kill line');

