package SOF2Logger::Parser::Slot;

use strict;
use warnings;

use SOF2Logger::Utils qw/create_get_set/;

# The "Slot" object that tracks who's playing in that slot, what team
# they're on, etc.  I think this is going to be generally useful to
# any log parser, as you can't have people dropping in and out of
# slots, at least you wouldn't want them to do that without a
# connect/disconnect.

sub new {
    my ($class) = @_;

    my @methods = qw/player team num start_time is_spectator/;

    foreach my $meth (@methods) { create_get_set($class, $meth) }

    my $self = {};

    return bless $self, $class;
}

1;
