#!/usr/bin/perl -w

use strict;

use Test::More tests => 7;

use SOF2Logger::Kills;
use File::Basename qw/dirname/;

BEGIN { use_ok('SOF2Logger::Parser::COD') };

test_parse_log();
test_cod2_parse_log();


# just some basic tests to ensure that the log is parsing correctly
sub test_parse_log {
  SOF2Logger::Kills->delete_all();
  SOF2Logger::Player->delete_all();
  my $parser = SOF2Logger::Parser::COD->new(dirname(__FILE__) . '/cod_1_5.log', 0);
  $parser->parse_log();

  isa_ok($parser, 'SOF2Logger::Parser');

  is(SOF2Logger::Kills->total_deaths, 843, 'total deaths are correct');
  is(SOF2Logger::Player->find('AFKROBOTER')->total_time,
     3885,
     'time for player is correct');
}

sub test_cod2_parse_log {
  SOF2Logger::Kills->delete_all();
  SOF2Logger::Player->delete_all();
  my $parser = SOF2Logger::Parser::COD->new(dirname(__FILE__) . '/cod2.log', 0);
  $parser->parse_log();

  isa_ok($parser, 'SOF2Logger::Parser');

  is(SOF2Logger::Kills->total_deaths, 337, 'total deaths are correct');
  is(SOF2Logger::Player->find('JARA')->total_time,
     2517,
     'time for player is correct');
}


