#!/usr/bin/perl

use strict;
use warnings;

use Test::More skip_all => 'not implemented';
use SOF2Logger::Reports::Weapon;
use SOF2Logger::Player;
use SOF2Logger::Kills;
use SOF2Logger::Config;

test_weapons_dataset();

sub test_weapons_dataset
{
	SOF2Logger::Kills->destroy();
	my $kills = SOF2Logger::Kills->instance();
	my $players = {};
	
	#my $config = SOF2Logger::Config->instance;
	#$config->top_weap(25);

	my $player = SOF2Logger::Player->new( 'Bobbie', 123459 );
	my $victim = SOF2Logger::Player->new( 'Victim', 98765 );
	my $player3 = SOF2Logger::Player->new( 'Henry', 44444 );
	$victim->is_filtered(1);
	
	$player->total_time(25);
	$players->{ $player->id } = $player;
	$players->{ $victim->id } = $victim;
	$players->{ $player3->id } = $player3;
	
	$kills->add_kill( $player->id, $victim->id,  'AK47',  '', 120 );
	$kills->add_kill( $player->id, $victim->id,  'RPG' ,  '', 121 );
	$kills->add_kill( $player->id, $victim->id,  'AK47',  '', 130 );
	$kills->add_kill( $player->id, $player3->id, 'AK47',  '', 143 );
	$kills->add_kill( $victim->id, $player3->id, 'AK47',  '', 153 );
	$kills->add_kill( $player3->id, $victim->id, 'AK47',  '', 163 );
	$kills->add_kill( $player3->id, $victim->id, 'AK47',  '', 174 );
	$kills->add_kill( $player3->id, $victim->id, 'AK47',  '', 185 );
	$kills->add_kill( $player3->id, $victim->id, 'AK47',  '', 200 );

	$kills->add_suicide( $player->id );
	
	my $report = SOF2Logger::Reports::Weapon->new('AK47');
	
#use Data::Dumper;
#	print Data::Dumper($report);

	is_deeply(
		$report->dataset,
		[
			{
				name		=> 'Henry',
				kills	   => 4,
				is_filtered => 0,
			},
			{
				name		=> 'Bobbie',
				kills	   => 3,
				is_filtered => 0,
			},
						{
				name		=> 'Victim',
				kills	   => 1,
				is_filtered => 1,
			},
			
		]
	);
}
