#!/usr/bin/perl

use strict;

use Test::More tests => 3;

use SOF2Logger::Player;

BEGIN { use_ok 'SOF2Logger::ELORating', 'update_rating' };

my $p1 = SOF2Logger::Player->create(id => 123, rating => 1900);
my $p2 = SOF2Logger::Player->create(id => 456, rating => 1500);

update_rating($p1, $p2);

is($p1->rating, 1903, 'after p1 wins, rating is updated correctly');
is($p2->rating, 1497, 'after p2 loses, rating is lowered correctly');

