#!/usr/bin/perl

use strict;
use warnings;

use Test::More tests => 4;

BEGIN { use_ok('SOF2Logger::ParserBuilder') }

isa_ok(SOF2Logger::ParserBuilder->get_parser('JK2'),
       'SOF2Logger::Parser::JK2',
       'get_parser returns the correct parser');

isa_ok(SOF2Logger::ParserBuilder->get_parser('JK2MP: v1.02c win-x86 Apr 15 2002'),
       'SOF2Logger::Parser::JK2',
       'get_parser can get parsers close to the name');


my $type = 'SOF2MP V1.02a linux-i386 Sep 24 2002';
my $mod = 'OSP v0.2w beta';
isa_ok(SOF2Logger::ParserBuilder->get_parser($type, $mod),
       'SOF2Logger::Parser::SOF2::OSP',
       'picks parsers even with default versions');
