!define VER_DISPLAY "1.3.4"

Name "GameStats"
InstallDir $PROGRAMFILES\GameStats
OutFile "gamestats.exe"
DirText "This will install Game Stats on your computer.  Please choose a directory"
ComponentText "This will install the Game Stats Logparser on your computer. Select which optional things you want installed.  This installer may overwrite files without asking, back up your Gamestats directory to make sure you keep your configuration."
SetCompress auto

Section "Program (required)"
    SectionIn RO

    SetOutPath $INSTDIR
    File logparsesof2.pl
    File CHANGES.txt
    File README.txt
    File WINDOWS-README.txt
    File left.gif
    File right.gif
    File main.gif
    File main-stats.html
    File player-statfile.html
    File sof2logger.gif
Rename logparse.conf logparse.conf.backup
Rename player.filter player.filter.backup
Rename stats.css stats.css.backup
    File player.filter
    File logparse.conf
    File stats.css
    SetOutPath $INSTDIR\SOF2Logger
    File SOF2Logger\Config.pm
    File SOF2Logger\Kills.pm
    File SOF2Logger\OutputHTML.pm
    File SOF2Logger\Parser.pm
    File SOF2Logger\Player.pm
    File SOF2Logger\ServerStats.pm
    File SOF2Logger\Utils.pm
    SetOutPath $INSTDIR\SOF2Logger\Parser
    File SOF2Logger\Parser\COD.pm
    File SOF2Logger\Parser\SOF2.pm
    SetOutPath $INSTDIR\SOF2Logger\Parser\SOF2
    File SOF2Logger\Parser\SOF2\OSP.pm
    File SOF2Logger\Parser\SOF2\ROC.pm
    FileOpen $1 "$INSTDIR\run.bat" "w"
    FileWrite $1 'perl -I"$INSTDIR" "$INSTDIR\logparsesof2.pl" -c logparse.conf %1'
    FileWrite $1 "$\r$\npause"
    FileClose $1

    WriteUninstaller $INSTDIR\uninstaller.exe
SectionEnd

Section "Start Menu Item"
    SetOutPath $INSTDIR
    CreateDirectory "$SMPROGRAMS\Game Stats"
    CreateShortcut "$SMPROGRAMS\Game Stats\GameStats.lnk" "$INSTDIR\run.bat"
    CreateShortcut "$SMPROGRAMS\Game Stats\Windows Readme.lnk" "$INSTDIR\WINDOWS-README.txt"
    CreateShortcut "$SMPROGRAMS\Game Stats\Readme.lnk" "$INSTDIR\README.txt"
    CreateShortcut "$SMPROGRAMS\Game Stats\Edit logparse.conf.lnk" "$INSTDIR\logparse.conf"
SectionEnd

Section "Desktop Shortcut"
    SetOutPath $INSTDIR
    CreateShortcut "$DESKTOP\GameStats.lnk" "$INSTDIR\run.bat"
SectionEnd

Section "Uninstaller Registry"
    WriteRegExpandStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\GameStats" "UninstallString" '"$INSTDIR\uninstaller.exe"'
  WriteRegExpandStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\GameStats" "InstallLocation" "$INSTDIR"
  WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\GameStats" "DisplayName" "GameStats Statistics Generator"
  WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\GameStats" "DisplayVersion" "${VER_DISPLAY}"
  WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\GameStats" "URLInfoAbout" "http://gamestats.sf.net"
  WriteRegDWORD HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\GameStats" "NoModify" "1"
  WriteRegDWORD HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\GameStats" "NoRepair" "1"
SectionEnd

; Uninstaller
UninstallText "This will uninstall GameStats. Hit next to continue. It will try to save your configuration files, but no guarantees!!!"

; Uninstall section
Section Uninstall

    SetDetailsPrint textonly
    DetailPrint "Deleting Registry Keys"
    SetDetailsPrint listonly

    DeleteRegKey HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\GameStats"
  
    ; remove files and uninstaller
    SetDetailsPrint textonly
    DetailPrint "Deleting Files..."
    SetDetailsPrint listonly
    Delete $INSTDIR\logparsesof2.pl
    Delete $INSTDIR\CHANGES.txt
    Delete $INSTDIR\README.txt
    Delete $INSTDIR\WINDOWS-README.txt
    Delete $INSTDIR\left.gif
    Delete $INSTDIR\right.gif
    Delete $INSTDIR\main.gif
    Delete $INSTDIR\main-stats.html
    Delete $INSTDIR\player-statfile.html
    Delete $INSTDIR\sof2logger.gif
; Delete logparse.conf 
; Delete player.filter
; Delete stats.css
    Delete $INSTDIR\SOF2Logger\Config.pm
    Delete $INSTDIR\SOF2Logger\Kills.pm
    Delete $INSTDIR\SOF2Logger\OutputHTML.pm
    Delete $INSTDIR\SOF2Logger\Parser.pm
    Delete $INSTDIR\SOF2Logger\Player.pm
    Delete $INSTDIR\SOF2Logger\ServerStats.pm
    Delete $INSTDIR\SOF2Logger\Utils.pm
    Delete $INSTDIR\SOF2Logger\Parser\COD.pm
    Delete $INSTDIR\SOF2Logger\Parser\SOF2.pm
    Delete $INSTDIR\SOF2Logger\Parser\SOF2\OSP.pm
    Delete $INSTDIR\SOF2Logger\Parser\SOF2\ROC.pm

    Delete $INSTDIR\run.bat

    Delete "$DESKTOP\GameStats.lnk"
    Delete $INSTDIR\uninstaller.exe

    ; remove shortcuts, if any
    Delete "$SMPROGRAMS\Game Stats\*.*"

    ; remove directories used
    RMDir "$SMPROGRAMS\Game Stats"
    RMDir "$INSTDIR"

    SetDetailsPrint both
SectionEnd
