#!/usr/bin/perl

use Cwd;
use File::Find;
use Getopt::Long;
use strict;
use Test::Harness qw/&runtests $verbose/;

GetOptions(
    'r' => \my $RECURSIVE,
    'c' => \my $COVER,
);

my @tests = @ARGV ? @ARGV : <*.t>;

if ($RECURSIVE) {
    @tests = get_tests_recurse();
}

(my $dir = cwd()) =~ s{sof2logger/(.*)}{sof2logger};

unshift @INC => $dir;

$verbose = 1;

if ($COVER) {
    foreach my $test (@tests) {
        system("perl -MDevel::Cover $test");
    }
} else {
    runtests(@tests);
}

sub get_tests_recurse
{
    my @files;
    find( sub {  
        if ($_ =~ /\.t$/) {
            push @files, $File::Find::name;
        }
    }, '.');
    return @files;
}
